<?php
use LabBase\Model\Brand;
use LabBase\Model\User;

/** @var User $user */
$user = $this->sessionInfo()->getLoggedInUser();

// Currently visited brand
$brand = null;
// Aliases for easy access
$brandName = null;
$brandUrl = null;

// When user is logged it and has avatar:
$userAvatarUrl = null;


// brandName/brandUrl/brand
if(($this->BrandName && $this->BrandUrl) || $this->Brand) { // Passed from controller?
    if($this->Brand) {
        $brandName = $this->Brand->name;
        $brandUrl = $this->Brand->url;
    }else{
        $brandName = $this->BrandName;
        $brandUrl = $this->BrandUrl;
    }
}elseif($user) { // If not then maybe one is stuck with the user?
    // This is used for when logged in user goes to settings and is not visiting via
    // The brand page, but we still want to stick the top bar to the last visited brand
    if ($user->lastVisitedBrandId !== null) {
        /** @var Brand $brand */
        $brand = $this->sessionInfo()->getBrandById($user->lastVisitedBrandId);
        if ($brand) {
            $brandName = $brand->name;
            $brandUrl = $brand->url;
        }
    }
}

// userAvatarUrl (can be null)
if($user) {
    $userAvatarUrl = $this->imageLinker()->getUserAvatarLinkOrNull($user);
}


echo $this->doctype();
?>

<html lang="en">
<head>
    <meta charset="utf-8">
    <?= $this->headTitle(); ?>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="/css/bootstrap.css" rel="stylesheet">
    <link href="/style.css" rel="stylesheet">
    <link rel="stylesheet" href="http://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.4.0/css/font-awesome.min.css">
    <script src="/js/modal.js"></script>
    <script src="/js/dropdown.js"></script>
    <script src="/js/my.js"></script>

    <?= $this->headStyle() ?>

    <script>
        window.onGloabalJS = [];
    </script>
    <?= $this->headScript() ?>
</head>
<body>

    <!-- Facebook and Twitter SDK -->
    <div id="fb-root"></div>
    <script>
        // Facebook:
        (function(d, s, id) {
            var js, fjs = d.getElementsByTagName(s)[0];
            if (d.getElementById(id)) return;
            js = d.createElement(s); js.id = id;
            js.src = "//connect.facebook.net/en_GB/sdk.js#xfbml=1&appId=1050501688309785&version=v2.0";
            fjs.parentNode.insertBefore(js, fjs);
        }(document, 'script', 'facebook-jssdk'));

        // Twitter:
        window.twttr = (function(d, s, id) {
            var js, fjs = d.getElementsByTagName(s)[0],
                t = window.twttr || {};
            if (d.getElementById(id)) return;
            js = d.createElement(s);
            js.id = id;
            js.src = "https://platform.twitter.com/widgets.js";
            fjs.parentNode.insertBefore(js, fjs);

            t._e = [];
            t.ready = function(f) {
                t._e.push(f);
            };

            return t;
        }(document, "script", "twitter-wjs"));
    </script>

    <!-- Analytics -->
    <script type="text/javascript">
        // Analytics
        (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
                (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
            m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
        })(window,document,'script','//www.google-analytics.com/analytics.js','ga');

        ga('create', 'UA-65304458-1', 'auto');
        ga('send', 'pageview');

        function getPageAnalURL() {
            var s = document.location.href.toString();
            s = s.slice(s.indexOf('//') + 2);
            return s.slice(s.indexOf('/')); // include the '/'
        }
    </script>

    <!-- For our javascript -->
    <script src="/js/global.js"></script>
    <div id="dialogBox-container"></div>

    <noscript>
        <div class="col-md-12 col-sm-12">
            <div class="footer">
                <div class="lb1-inside">
                    This website requires JavaScript for proper functionality.
                    Please re-enable JavaScript.
                </div>
            </div>
        </div>
    </noscript>

    <!-- Content start -->

    <?= $this->content; ?>

    <!-- Content end -->


    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js"></script>
    <script src="/js/hideit.js"></script>
    <script src="/js/bootstrap.js"></script>

    <?= $this->inlineScript() ?>

</body>

</html>



